メインコンテンツへスキップ
POST
/
files
/
v3
/
folders
/
update
/
async
フォルダープロパティーを更新
curl --request POST \
  --url https://api.hubapi.com/files/v3/folders/update/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "name": "<string>",
  "parentFolderId": 123
}
'
import requests

url = "https://api.hubapi.com/files/v3/folders/update/async"

payload = {
"id": "<string>",
"name": "<string>",
"parentFolderId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', name: '<string>', parentFolderId: 123})
};

fetch('https://api.hubapi.com/files/v3/folders/update/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "57122e26-59f8-4cfc-ba53-96e30c816762",
  "links": [
    {
      "status": "https://api.hubspot.com/files/v3/folders/update/async/tasks/57122e26-59f8-4cfc-ba53-96e30c816762/status"
    }
  ]
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
id
string
必須

更新するフォルダーの固有ID。

name
string

新しい名前。指定すると、フォルダーの名前とfullPathが変更されます。このフォルダーの全ての子は変更に合わせて更新されます。

parentFolderId
integer<int64>

新しい親folderId。変更すると、フォルダーとその全ての子が指定したフォルダーに移動されます。parentFolderIdとparentFolderPathを同時に指定することはできません。

レスポンス

accepted

Information on the task that has been started, and where to check it's status.

id
string
必須

タスクのID

タスクに関連する情報をチェックする場所のリンク。「status」リンクにより、タスクのステータスを確認する場所のURLが指定されます。

最終更新日 2026年4月10日